## RygelMediaObjects

RygelMediaObjects — An array list that keeps media objects.

## Functions

#define | RYGEL_TYPE_MEDIA_OBJECTS
void | rygel_media_objects_sort_by_criteria ()
RygelMediaObjects * | rygel_media_objects_new ()

## Types and Values

#define | RYGEL_MEDIA_OBJECTS_SORT_CAPS
struct | RygelMediaObjects
struct | RygelMediaObjectsClass

## Object Hierarchy

        GObject
        ╰── GeeAbstractCollection
            ╰── GeeAbstractList
                ╰── GeeAbstractBidirList
                    ╰── GeeArrayList
                        ╰── RygelMediaObjects

## Implemented Interfaces

RygelMediaObjects implements GeeTraversable, GeeIterable, GeeCollection, GeeList and GeeBidirList.

## Description

## Functions

### RYGEL_TYPE_MEDIA_OBJECTS

    #define RYGEL_TYPE_MEDIA_OBJECTS (rygel_media_objects_get_type ())

The type for RygelMediaObjects.

### rygel_media_objects_sort_by_criteria ()

    void
    rygel_media_objects_sort_by_criteria (RygelMediaObjects *self,
                                          const gchar *sort_criteria);

#### Parameters

self | the RygelMediaObjects instance |
sort_criteria |  |

### rygel_media_objects_new ()

    RygelMediaObjects *
    rygel_media_objects_new (void);

## Types and Values

### RYGEL_MEDIA_OBJECTS_SORT_CAPS

    #define RYGEL_MEDIA_OBJECTS_SORT_CAPS "@id,@parentID,dc:title,upnp:class," "upnp:artist,upnp:author,upnp:album," "dc:date,upnp:originalTrackNumber"

### struct RygelMediaObjects

    struct RygelMediaObjects;

An array list that keeps media objects.

### struct RygelMediaObjectsClass

    struct RygelMediaObjectsClass {
    	GeeArrayListClass parent_class;
    };

The class structure for `RYGEL_TYPE_MEDIA_OBJECTS`. All the fields in this structure are private and should never be accessed directly.

#### Members

GeeArrayListClass `parent_class`; | the parent class structure |